Bug 816073 - failing reload-or-restart and reload-or-try-restart
failing reload-or-restart and reload-or-try-restart
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rdma (Show other bugs)
17
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F18-accepted/F18FinalFreezeExcept 816135
  Show dependency treegraph
 
Reported: 2012-04-25 04:06 EDT by Martin Cermak
Modified: 2012-12-20 00:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 00:28:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Cermak 2012-04-25 04:06:31 EDT
Description of problem:

 Failing systemctl calls:
    systemctl reload-or-restart rdma.service
    systemctl reload-or-try-restart rdma.service

Version-Release number of selected component (if applicable):

rdma-1.0-11.fc17.noarch
systemd-44-4.fc17.x86_64

Steps to Reproduce:

# systemctl status rdma.service
rdma.service - LSB: Loads and unloads the InfiniBand and iWARP kernel modules
          Loaded: loaded (/etc/rc.d/init.d/rdma)
          Active: inactive (dead) since Tue, 24 Apr 2012 03:25:28 -0400; 24h ago
         Process: 5458 ExecStop=/etc/rc.d/init.d/rdma stop (code=exited, status=0/SUCCESS)
         Process: 28637 ExecReload=/etc/rc.d/init.d/rdma reload (code=exited, status=3/NOTIMPLEMENTED)
         Process: 4891 ExecStart=/etc/rc.d/init.d/rdma start (code=exited, status=0/SUCCESS)
          CGroup: name=systemd:/system/rdma.service

# systemctl start rdma.service
# systemctl status rdma.service
rdma.service - LSB: Loads and unloads the InfiniBand and iWARP kernel modules
          Loaded: loaded (/etc/rc.d/init.d/rdma)
          Active: active (exited) since Wed, 25 Apr 2012 04:04:22 -0400; 1s ago
         Process: 5458 ExecStop=/etc/rc.d/init.d/rdma stop (code=exited, status=0/SUCCESS)
         Process: 28637 ExecReload=/etc/rc.d/init.d/rdma reload (code=exited, status=3/NOTIMPLEMENTED)
         Process: 7516 ExecStart=/etc/rc.d/init.d/rdma start (code=exited, status=0/SUCCESS)
          CGroup: name=systemd:/system/rdma.service

# systemctl reload-or-restart rdma.service
Job failed. See system journal and 'systemctl status' for details.
# echo $?
1
# systemctl reload-or-try-restart rdma.service
Job failed. See system journal and 'systemctl status' for details.
# echo $?
1
# systemctl restart rdma.service
# echo $?
0
# 
  
Please consider fixing reload-or-restart and reload-or-try-restart functions.
These are default systemd actions that do not need any implementation in the
unit file by default. In this case they should both probably fall back to
restart.
Comment 1 Doug Ledford 2012-12-05 13:29:58 EST
The rdma service doesn't have a daemon that keeps running, so a reload or restart is actually not really helpful.  This wasn't picked up by default by systemd when dealing with the SysV init script.  It was, however, easy to express to systemd once the unit file was written (Type=oneshot,RemainAfterExit=yes resolves this issue).
Comment 2 Fedora Update System 2012-12-05 14:00:25 EST
opensm-3.3.15-2.fc18, libibmad-1.3.9-1.fc18, libibumad-1.3.8-1.fc18, rdma-2.0-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rdma-2.0-6.fc18,opensm-3.3.15-2.fc18,libibmad-1.3.9-1.fc18,libibumad-1.3.8-1.fc18
Comment 3 Fedora Update System 2012-12-05 18:09:20 EST
Package libibmad-1.3.9-1.fc18, libibumad-1.3.8-1.fc18, rdma-2.0-6.fc18, opensm-3.3.15-3.fc18, srptools-0.0.4-16.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libibmad-1.3.9-1.fc18 libibumad-1.3.8-1.fc18 rdma-2.0-6.fc18 opensm-3.3.15-3.fc18 srptools-0.0.4-16.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19794/srptools-0.0.4-16.fc18,rdma-2.0-6.fc18,opensm-3.3.15-3.fc18,libibmad-1.3.9-1.fc18,libibumad-1.3.8-1.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-20 00:28:42 EST
libibmad-1.3.9-1.fc18, libibumad-1.3.8-1.fc18, rdma-2.0-6.fc18, opensm-3.3.15-3.fc18, srptools-0.0.4-16.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.